
/*
 * LoggedInUser.java
 * Logged in users for the chat program
 *
 * Created on October 23, 2003, 8:06 PM
 */

/**
 *
 * @author  Nathan Balon
 * CIS 527
 *
 */
import java.net.*;

public class LoggedInUser extends User {
    
    private InetAddress ipAddress;                    // IP address of user
    private Socket userSocket;                        // socket for the user
    
    /** Creates a new instance of LoggedInUser */
    public LoggedInUser(String name, InetAddress ip, Socket socket){
        super(name);
        ipAddress = ip;
        userSocket = socket;
    }
    
    /** set the IP address for the user */
    public void setIp(InetAddress ip){
        ipAddress = ip;
    }
    
    /** get the IP address of the user */
    public InetAddress getIp(){
        return ipAddress;
    }
    
    /* set the socket of the user */
    public void setUserSocket(Socket socket){
        userSocket = socket;
    }
    
    /** get the socket of the user */
    public Socket getUserSocket(){
        return userSocket;
    }
    
    /** display the users name and ip address */
    public String toString(){
        return "NAME: " + this.getName() + ", IP:" + this.getIp();
    }
}
